#include "libBIOS.h"

LIBENTRY char *memchr(const void *src_void, int c, unsigned long length)
{
  const unsigned char *src = (const unsigned char *) src_void;

  c &= 0xff;
  
  while (length--)
    {
      if (*src == c)
	return (char *) src;
      src++;
    }
  return NULL;
}
