#include "libEMOS.h"

u32 _errno;

LIBENTRY const char *strerror(int errnum)
{
	switch (_errno)
	{
		case R_OK    : return "Request completed";
		case R_EINTR : return "Context switch";
		case R_EAGAIN: return "Timeout";
		case R_ENOMEM: return "No resources available";
		case R_EFAULT: return "Wrong parameters";
	}
	return "Unknown error";
}
