
/***************************************************************************
    libBIOS - A portable library for developing an OpenSource BIOS
    Copyright (C) 2001 - David Aparicio

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Author can be reached at 'daparic@terra.es'
****************************************************************************/
// 
#include "libBIOS.h"
#include "macros.h"
//---------------- Header for a Loader SA110 binary

_start: .globl	_start
	//--- LOADER slot[0]
	b	1f
	.long	SFS_ARCH_SA110
	.long	SFS_TYPE_LOAD
	.space	64-12
	//--- BINARY slots[1..63]
	.space	(MAX_FILES-1)*64	// "mbA_t" structure

1:	bl	beginSingle
	bl	entry
exit:	.globl	exit			// arg==0 then JUMP FLASH
	bl	haltSingle		// arg!=0 then JUMP LOADER
2:	b	2b

p32:	.globl	p32
	printHEXbl	r0
	mov	pc, lr
